%define majver %(echo %version | cut -d. -f1-2)

Name:          kldap
Version:       16.08.0
Release:       1mamba
Summary:       KDE Frameworks 5 LDAP library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/kldap-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libkcompletion-devel
BuildRequires: libki18n-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libopenldap-devel
BuildRequires: libqt5-devel
BuildRequires: libsasl2-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 LDAP library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Frameworks 5 LDAP library

%description -n lib%{name}
KDE Frameworks 5 LDAP library.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_sysconfdir}/xdg/kldap.categories
%{_libdir}/qt5/plugins/kf5/kio/ldap.so
%{_datadir}/kservices5/ldap.protocol
%{_datadir}/kservices5/ldaps.protocol
%{_kde5_libdir}/libKF5Ldap.so.*
%dir %{_datadir}/doc/HTML/en/kioslave5/ldap
%{_datadir}/doc/HTML/en/kioslave5/ldap/*
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/KLDAP
%dir %{_kde5_includedir}/KLDAP/KLDAP
%{_kde5_includedir}/KLDAP/KLDAP/*
%dir %{_kde5_includedir}/KLDAP/kldap
%{_kde5_includedir}/KLDAP/kldap/*
%{_kde5_includedir}/kldap_version.h
%dir %{_kde5_libdir}/cmake/KF5Ldap
%{_kde5_libdir}/cmake/KF5Ldap/FindLdap.cmake
%{_kde5_libdir}/cmake/KF5Ldap/FindSasl2.cmake
%{_kde5_libdir}/cmake/KF5Ldap/KF5Ldap*.cmake
%{_kde5_libdir}/libKF5Ldap.so
%{_libdir}/qt5/mkspecs/modules/qt_Ldap.pri

%changelog
* Mon Aug 29 2016 Automatic Build System <autodist@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic version update by autodist

* Wed Mar 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.3-1mamba
- automatic version update by autodist

* Tue Feb 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Sat Feb 06 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.1-1mamba
- package created using the webbuild interface
